Subject: bug#68507: closed (Re: bug#68507: [PATCH] doc: Fix example in list-transduce example.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 24 Jan 2024 10:15:02 +0000

Your bug report

#68507: [PATCH] doc: Fix example in list-transduce example.

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68507: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68507
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#68507: [PATCH] doc: Fix example in list-transduce example.
From: Ludovic Courtès <[email-masked]>
To: Tomas Volf <[email-masked]>
Cc: [email-masked]
Date: Wed, 24 Jan 2024 11:14:23 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Tomas Volf <[email-masked]> skribis:

> While the `.' might be correct from a grammatical point of view (I do
> not know), it turns the example into invalid scheme code, which is not
> ideal.  New users (like me) might try to copy the whole line and wonder
> why it does not work (like I did).  So delete it.
>
> * doc/ref/srfi-modules.texi (SRFI-171 General Discussion): Delete the
> trailing . from the example.

Applied, thanks!

Ludo’.

Subject: [PATCH] doc: Fix example in list-transduce example.
From: Tomas Volf <[email-masked]>
To: [email-masked]
Cc: Tomas Volf <[email-masked]>
Date: Tue, 16 Jan 2024 14:01:06 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

While the `.' might be correct from a grammatical point of view (I do
not know), it turns the example into invalid scheme code, which is not
ideal.  New users (like me) might try to copy the whole line and wonder
why it does not work (like I did).  So delete it.

* doc/ref/srfi-modules.texi (SRFI-171 General Discussion): Delete the
trailing . from the example.
---
 doc/ref/srfi-modules.texi | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/doc/ref/srfi-modules.texi b/doc/ref/srfi-modules.texi
index 0cdf56923..09b591e89 100644
--- a/doc/ref/srfi-modules.texi
+++ b/doc/ref/srfi-modules.texi
@@ -5748,7 +5748,7 @@ reducer with result-so-far and the maybe-transformed input.
 A simple example is as following:
 
 @example
-(list-transduce (tfilter odd?) + '(1 2 3 4 5)).
+(list-transduce (tfilter odd?) + '(1 2 3 4 5))
 @end example
 
 This first returns a transducer filtering all odd
-- 
2.41.0